For the complete documentation index, see llms.txt. This page is also available as Markdown.

Nodes

Get node

get

Retrieves a specific node by ID, optionally filtered by domain

Path parameters
idstringRequired

Node ID

Query parameters
domain_idintegerOptional

Domain ID

Responses
200

Node retrieved

application/json
get/api/nodes/{id}
GET /api/nodes/{id} HTTP/1.1
Accept: */*
{
  "data": [
    {
      "groups": [
        {
          "external_id": "foo",
          "name": "foo",
          "type": "foo_type"
        }
      ],
      "parent": null
    },
    {
      "parent": "foo",
      "resources": [
        {
          "external_id": "bar",
          "name": "bar",
          "type": "foo_type"
        },
        {
          "external_id": "baz",
          "name": "baz",
          "type": "foo_type"
        }
      ]
    }
  ]
}

List nodes

get

Retrieves all nodes, optionally filtered by domain

Query parameters
domain_idintegerOptional

Domain ID

Responses
200

Nodes retrieved

application/json
get/api/nodes
GET /api/nodes HTTP/1.1
Accept: */*
{
  "data": [
    {
      "groups": [
        {
          "external_id": "foo",
          "name": "foo",
          "type": "foo_type"
        }
      ],
      "parent": null
    },
    {
      "parent": "foo",
      "resources": [
        {
          "external_id": "bar",
          "name": "bar",
          "type": "foo_type"
        },
        {
          "external_id": "baz",
          "name": "baz",
          "type": "foo_type"
        }
      ]
    }
  ]
}

Update nodes domains

get

Updates the domains for all nodes

Responses
204

Nodes domains updated

No content

get/api/lineage/update_nodes_domains
GET /api/lineage/update_nodes_domains HTTP/1.1
Accept: */*

No content

Last updated